#!/usr/bin/python
# -*- coding:UTF-8 -*-
"""
# @Time    :    2025-07-14 13:04
# @Author  :   crawl-coder
# @Desc    :   None
"""
import asyncio
import asyncmy
from datetime import datetime
import logging

from settings import MYSQL_HOST, MYSQL_USER, MYSQL_PASSWORD, MYSQL_TABLE, MYSQL_DB

# 配置日志
logging.basicConfig(
    level=logging.INFO,
    format='%(asctime)s - %(levelname)s - %(message)s'
)
logger = logging.getLogger(__name__)

# 测试数据
value_tuples = [('3250219', '煤炭开采板块午后直线拉升 郑州煤电涨停', '煤炭开采板块午后直线拉升，（）涨停，（）、（）、（）、（）、（）等纷纷走高。消息面上，中国煤炭运销协会表示，加强行业自律，整治内卷式竞争，促进煤炭市场供需平衡。', '煤炭开采板块午后直线拉升，郑州煤电涨停，山煤国际、辽宁能源、华电能源、恒源煤电、盘江股份等纷纷走高。消息面上，中国煤炭运销协会表示，加强行业自律，整治内卷式竞争，促进煤炭市场供需平衡。', 'https://news.10jqka.com.cn/20250714/c669607368.shtml', '异动', '2025-07-14 13:04:07', ''), ('3250025', '现货白银日内涨幅扩大至1.00%，现报38.77美元/盎司', '现货白银日内涨幅扩大至1.00%，现报38.77美元/盎司。', '现货白银日内涨幅扩大至1.00%，现报38.77美元/盎司。', 'https://news.10jqka.com.cn/20250714/c669606752.shtml', 'A股', '2025-07-14 11:59:10', ''), ('3250061', '7月14日午间公告一览：晨化股份使用3000万元闲置资金购买理财产品', '（）公告，公司及子公司近日使用自有闲置资金购买了3000万元的理财产品。此次投资包括两个金额各为1500万元的银河盛汇稳健1号集合资产管理计划，预期年化收益率为3.2%。该理财产品的起息日为2025年7月10日，到期日为2026年7月6日。公司表示，此举是在确保日常运营和资金安全的前提下进行的，不会影响公司主营业务的正常开展，旨在提高资金使用效率，获取较好的投资回报。', '晨化股份公告，公司及子公司近日使用自有闲置资金购买了3000万元的理财产品。此次投资包括两个金额各为1500万元的银河盛汇稳健1号集合资产管理计划，预期年化收益率为3.2%。该理财产品的起息日为2025年7月10日，到期日为2026年7月6日。公司表示，此举是在确保日常运营和资金安全的前提下进行的，不会影响公司主营业务的正常开展，旨在提高资金使用效率，获取较好的投资回报。', 'https://news.10jqka.com.cn/20250714/c669606926.shtml', '公告,A股', '2025-07-14 12:15:33', ''), ('3250123', '鸿蒙智行问界产品总监彭磊调任享界系列产品总监', '7月14日，鸿蒙智行App显示，彭磊认证信息已变更为享界系列产品总监。此前担任鸿蒙智行问界产品总监的彭磊今天开始在微博发文预热享界产品，宣传鸿蒙智行享界第二款车享界S9T。不过，他的微博认证未同步更新，仍为鸿蒙智行问界产品总监。', '7月14日，鸿蒙智行App显示，彭磊认证信息已变更为享界系列产品总监。此前担任鸿蒙智行问界产品总监的彭磊今天开始在微博发文预热享界产品，宣传鸿蒙智行享界第二款车享界S9T。不过，他的微博认证未同步更新，仍为鸿蒙智行问界产品总监。', 'https://news.10jqka.com.cn/20250714/c669607077.shtml', '港股,A股', '2025-07-14 12:34:46', ''), ('3250153', '韩国前总统尹锡悦再次未出席内乱特检组传唤调查', '记者获悉，韩国前总统尹锡悦14日再次未出席内乱特检组的传唤调查。(央视新闻)', '记者获悉，韩国前总统尹锡悦14日再次未出席内乱特检组的传唤调查。（央视新闻）', 'https://news.10jqka.com.cn/20250714/c669607226.shtml', '美股,港股,A股', '2025-07-14 12:48:40', ''), ('3250135', '立讯精密旗下立铠精密在黄石成立新公司', '企查查APP显示，近日，立铠精密科技(黄石)有限公司成立，法定代表人为杨立强，注册资本5亿元，经营范围包括移动终端设备销售、互联网设备销售、汽车零部件及配件制造等。企查查股权穿透显示，该公司由立铠精密科技(盐城)有限公司全资持股，后者大股东为（）。', '企查查APP显示，近日，立铠精密科技（黄石）有限公司成立，法定代表人为杨立强，注册资本5亿元，经营范围包括移动终端设备销售、互联网设备销售、汽车零部件及配件制造等。企查查股权穿透显示，该公司由立铠精密科技（盐城）有限公司全资持股，后者大股东为立讯精密。', 'https://news.10jqka.com.cn/20250714/c669607154.shtml', 'A股', '2025-07-14 12:40:40', ''), ('3250197', '沪深京三市成交额超1万亿元 较上日此时缩量686亿元', '据（）iFinD数据，沪深京三市成交额超1万亿元，较上日此时686亿元，预计全天成交金额约1.6万亿元。截至目前，沪市成交额4158亿元，深市成交额5688亿元，北证50成交额154亿元。', '据同花顺iFinD数据，沪深京三市成交额超1万亿元，较上日此时缩量686亿元，预计全天成交金额约1.6万亿元。截至目前，沪市成交额4158亿元，深市成交额5688亿元，北证50成交额154亿元。', 'https://news.10jqka.com.cn/20250714/c669607345.shtml', 'A股', '2025-07-14 13:01:38', ''), ('3250129', '伟仕佳杰：公司已开始探索稳定币支付及结算解决方案', '伟仕佳杰在港交所发布公告称，本公司日前已开始进行合作洽谈，以探索稳定币支付及结算的解决方案。该合作讨论主要聚焦本公司在东南亚地区的ICT产品分销、供应链服务及数位生态业务，本次合作讨论不涉及任何加密货币投机行为。该讨论处于初步阶段，且尚未达成任何具法律约束力的协定。', '伟仕佳杰在港交所发布公告称，本公司日前已开始进行合作洽谈，以探索稳定币支付及结算的解决方案。该合作讨论主要聚焦本公司在东南亚地区的ICT产品分销、供应链服务及数位生态业务，本次合作讨论不涉及任何加密货币投机行为。该讨论处于初步阶段，且尚未达成任何具法律约束力的协定。', 'https://news.10jqka.com.cn/20250714/c669607132.shtml', '港股', '2025-07-14 12:37:13', ''), ('3250065', '海南航空发声明打假', '海南航空今日在网络社交平台发布声明。声明称，近期发现部分网络平台及线下场所存在商户和个人未经授权，擅自盗用海南航空商标或公司名称，公然冒充公司员工或关联方，非法开展销售活动。所售商品涵盖空乘制服、飞机模型、机上用品、周边文创产品等多个品类。更有甚者，疑似穿着海南航空享有专利保护的乘务员制服，在直播平台上大肆赚取流量、非法牟利，严重扰乱市场正常秩序。声明表示，“海南航空官方商品及服务仅通过海南航空官网、官方App、经我司正式授权的直营渠道以及指定的合作方进行发布与销售。任何单位或个人均无权擅自使用我司依法享有的商标、名称、专利、著作权等知识产权，更不得假冒我司员工身份开展任何商业活动。”声明还指出，如在日常生活或网络浏览过程中遇到可疑情况，可随时拨打海南航空服务热线95339进行咨询核实，或通过官方网站在线客服反馈相关线索。如未经核实在非正规渠道购买海南航空服务或相关产品，海南航空将不会履行相关义务或承担任何赔偿责任。', '海南航空今日在网络社交平台发布声明。声明称，近期发现部分网络平台及线下场所存在商户和个人未经授权，擅自盗用海南航空商标或公司名称，公然冒充公司员工或关联方，非法开展销售活动。所售商品涵盖空乘制服、飞机模型、机上用品、周边文创产品等多个品类。更有甚者，疑似穿着海南航空享有专利保护的乘务员制服，在直播平台上大肆赚取流量、非法牟利，严重扰乱市场正常秩序。 声明表示，“海南航空官方商品及服务仅通过海南航空官网、官方 App、经我司正式授权的直营渠道以及指定的合作方进行发布与销售。任何单位或个人均无权擅自使用我司依法享有的商标、名称、专利、著作权等知识产权，更不得假冒我司员工身份开展任何商业活动。” 声明还指出，如在日常生活或网络浏览过程中遇到可疑情况，可随时拨打海南航空服务热线 95339 进行咨询核实，或通过官方网站在线客服反馈相关线索。如未经核实在非正规渠道购买海南航空服务或相关产品，海南航空将不会履行相关义务或承担任何赔偿责任。', 'https://news.10jqka.com.cn/20250714/c669606930.shtml', '美股,港股,A股', '2025-07-14 12:15:49', ''), ('3250067', '陕西科研团队光镊切片显微术破解悬浮细胞三维观测难题 成果有望用于医学成像等领域', '据中国科学院西安光机所消息，该所超快光科学与技术全国重点实验室研究员姚保利、徐孝浩团队在生物光学显微成像及微操纵方面取得重要进展，提出了“光镊切片显微术”，实现了悬浮生物细胞的全光式三维成像，为光镊技术开拓了新应用方向，在类器官构建、三维中性原子阵列组装、细胞自动化识别及分选方面具有巨大应用潜力。上述成果在国际顶级学术期刊《科学进展》发表。(科创板日报)', '据中国科学院西安光机所消息，该所超快光科学与技术全国重点实验室研究员姚保利、徐孝浩团队在生物光学显微成像及微操纵方面取得重要进展，提出了“光镊切片显微术”，实现了悬浮生物细胞的全光式三维成像，为光镊技术开拓了新应用方向，在类器官构建、三维中性原子阵列组装、细胞自动化识别及分选方面具有巨大应用潜力。上述成果在国际顶级学术期刊《科学进展》发表。(科创板日报)', 'https://news.10jqka.com.cn/20250714/c669606940.shtml', '港股,A股', '2025-07-14 12:16:39', ''), ('3250121', '公安部：2025年上半年全国机动车达4.6亿辆 驾驶人达5.5亿人', '公安部统计，截至2025年6月底，全国机动车保有量达4.6亿辆，其中汽车3.59亿辆；机动车驾驶人5.5亿人，其中汽车驾驶人5.15亿人。2025年上半年全国新注册登记机动车1688万辆，新领证驾驶人1258万人。上半年新注册登记机动车1688万辆，新注册登记汽车1250万辆。2025年上半年，全国新注册登记机动车1688万辆。其中，汽车新注册登记1250万辆，同比增长0.68%。新能源汽车保有量达3689万辆，上半年新注册登记562.2万辆。截至6月底，全国新能源汽车保有量达3689万辆，占汽车总量的10.27%。其中，纯电动汽车保有量2553.9万辆，占新能源汽车总量的69.23%。上半年新注册登记新能源汽车562.2万辆，同比增长27.86%，创历史新高。新能源汽车新注册登记量占汽车新注册登记量的44.97%。(央视新闻)', '公安部统计，截至2025年6月底，全国机动车保有量达4.6亿辆，其中汽车3.59亿辆；机动车驾驶人5.5亿人，其中汽车驾驶人5.15亿人。2025年上半年全国新注册登记机动车1688万辆，新领证驾驶人1258万人。上半年新注册登记机动车1688万辆，新注册登记汽车1250万辆。2025年上半年，全国新注册登记机动车1688万辆。其中，汽车新注册登记1250万辆，同比增长0.68%。新能源汽车保有量达3689万辆，上半年新注册登记562.2万辆。截至6月底，全国新能源汽车保有量达3689万辆，占汽车总量的10.27%。其中，纯电动汽车保有量2553.9万辆，占新能源汽车总量的69.23%。上半年新注册登记新能源汽车562.2万辆，同比增长27.86%，创历史新高。新能源汽车新注册登记量占汽车新注册登记量的44.97%。（央视新闻）', 'https://news.10jqka.com.cn/20250714/c669607063.shtml', '港股,A股', '2025-07-14 12:33:07', ''), ('3250099', '全国首单低空运营管理责任险落地苏州', '全国首个面向低空经济运营管理方的保险“安翼计划”近日在苏州落地。该保险方案由苏州东吴财产保险股份有限公司联合中国财产再保险有限责任公司研发，为苏州市盛泽湖全空间无人体系示范岛的试飞运营场地管理方提供风险保障。“安翼计划”针对低空经济运营中特有的信号干扰、操作失误、外部撞击等风险场景，提供精细化、专业化风险解决方案，将保险保障聚焦于低空运营管理方，系统构建了覆盖场地方责任、低空运营管理风险的完整保障体系。(新华日报)', '全国首个面向低空经济运营管理方的保险“安翼计划”近日在苏州落地。该保险方案由苏州东吴财产保险股份有限公司联合中国财产再保险有限责任公司研发，为苏州市盛泽湖全空间无人体系示范岛的试飞运营场地管理方提供风险保障。“安翼计划”针对低空经济运营中特有的信号干扰、操作失误、外部撞击等风险场景，提供精细化、专业化风险解决方案，将保险保障聚焦于低空运营管理方，系统构建了覆盖场地方责任、低空运营管理风险的完整保障体系。（新华日报）', 'https://news.10jqka.com.cn/20250714/c669607049.shtml', '美股,港股,A股', '2025-07-14 12:30:52', ''), ('3250159', '韩正会见印度外长苏杰生', '据新华社报道，7月14日，国家副主席韩正在北京会见印度外长苏杰生。韩正表示，去年10月，习近平主席同莫迪总理在喀山成功会晤，引领中印关系重启再出发。中印都是发展中大国、全球南方重要成员，做相互成就的伙伴，实现“龙象共舞”，是双方正确选择。双方要进一步落实两国领导人达成的重要共识，坚持高层引领、稳步推进务实合作、尊重彼此关切，推动中印关系持续健康稳定发展。苏杰生表示，莫迪总理同习近平主席喀山会晤后，印中关系稳步改善。印方愿以领导人共识为指引，保持印中关系发展势头，推进互利合作，加强在多边机制中的沟通协调。印方支持中方作为轮值主席国办好今年的上海合作组织峰会。', '据新华社报道，7月14日，国家副主席韩正在北京会见印度外长苏杰生。韩正表示，去年10月，习近平主席同莫迪总理在喀山成功会晤，引领中印关系重启再出发。中印都是发展中大国、全球南方重要成员，做相互成就的伙伴，实现“龙象共舞”，是双方正确选择。双方要进一步落实两国领导人达成的重要共识，坚持高层引领、稳步推进务实合作、尊重彼此关切，推动中印关系持续健康稳定发展。苏杰生表示，莫迪总理同习近平主席喀山会晤后，印中关系稳步改善。印方愿以领导人共识为指引，保持印中关系发展势头，推进互利合作，加强在多边机制中的沟通协调。印方支持中方作为轮值主席国办好今年的上海合作组织峰会。', 'https://news.10jqka.com.cn/20250714/c669607238.shtml', '美股,港股,A股', '2025-07-14 12:50:33', ''), ('3250059', '泰国机构将2025年到访游客人数预估从4000万人次下调至3500万人次', '泰国机构将2025年到访游客人数预估从4000万人次下调至3500万人次。', '泰国机构将2025年到访游客人数预估从4000万人次下调至3500万人次。', 'https://news.10jqka.com.cn/20250714/c669606902.shtml', 'A股', '2025-07-14 12:13:04', ''), ('3250131', '宇树科技获得出版物零售许可', '天眼查App显示，7月4日，杭州宇树科技股份有限公司新增一则行政许可信息，许可内容为出版物零售，许可机关为区党委宣传部(区新闻出版局)。值得注意的是，今年5月，该公司经营范围新增出版物零售。', '天眼查App显示，7月4日，杭州宇树科技股份有限公司新增一则行政许可信息，许可内容为出版物零售，许可机关为区党委宣传部（区新闻出版局）。值得注意的是，今年5月，该公司经营范围新增出版物零售。', 'https://news.10jqka.com.cn/20250714/c669607142.shtml', '港股,A股', '2025-07-14 12:38:20', ''), ('3250079', '韩特检组对军方24处场所展开扣押搜查，正式调查尹锡悦外患罪嫌疑', '韩国内乱特检组于7月14日对军方无人机作战司令部、国防部、国防部防间谍司令部等24处军事相关场所进行了全方位的扣押搜查，对前总统尹锡悦涉嫌外患罪的情况展开正式调查。搜查地点还包括国家安保室、驻白翎岛部队、无人机作战司令部司令金龙大的住宅等。(央视新闻)', '韩国内乱特检组于7月14日对军方无人机作战司令部、国防部、国防部防间谍司令部等24处军事相关场所进行了全方位的扣押搜查，对前总统尹锡悦涉嫌外患罪的情况展开正式调查。搜查地点还包括国家安保室、驻白翎岛部队、无人机作战司令部司令金龙大的住宅等。（央视新闻）', 'https://news.10jqka.com.cn/20250714/c669607015.shtml', '美股,港股,A股', '2025-07-14 12:26:27', ''), ('3250125', '中国中铁在秦皇岛成立新公司 含海洋服务业务', '企查查APP显示，近日，中铁大桥局集团(秦皇岛)供应链管理有限公司成立，法定代表人为何士博，注册资本为100万元，经营范围包含：供应链管理服务；工程管理服务；海洋服务；海洋工程装备销售；金属结构销售等。企查查股权穿透显示，该公司由（）间接全资持股。', '企查查APP显示，近日，中铁大桥局集团（秦皇岛）供应链管理有限公司成立，法定代表人为何士博，注册资本为100万元，经营范围包含：供应链管理服务；工程管理服务；海洋服务；海洋工程装备销售；金属结构销售等。企查查股权穿透显示，该公司由中国中铁间接全资持股。', 'https://news.10jqka.com.cn/20250714/c669607089.shtml', '港股,A股', '2025-07-14 12:35:49', ''), ('3250163', '河南发布高温红色预警 部分地区将升至40℃以上', '河南省气象台7月14日12时升级发布高温红色预警：预计7月14日下午，新乡中西部、焦作、洛阳北部、郑州、开封、商丘西部、许昌东部、周口、漯河东部、驻马店部分县(市、区)最高气温将升至40℃以上。7月15日白天，黄河以北和洛阳北部、郑州、开封、商丘西部、许昌、周口北部、漯河北部部分县(市、区)最高气温将升至40℃以上。7月16日白天，黄河以南部分县(市、区)最高气温将升至40℃以上。(央视新闻)', '河南省气象台7月14日12时升级发布高温红色预警：预计7月14日下午，新乡中西部、焦作、洛阳北部、郑州、开封、商丘西部、许昌东部、周口、漯河东部、驻马店部分县（市、区）最高气温将升至40℃以上。7月15日白天，黄河以北和洛阳北部、郑州、开封、商丘西部、许昌、周口北部、漯河北部部分县（市、区）最高气温将升至40℃以上。7月16日白天，黄河以南部分县（市、区）最高气温将升至40℃以上。（央视新闻）', 'https://news.10jqka.com.cn/20250714/c669607268.shtml', '港股,A股', '2025-07-14 12:53:40', ''), ('3250169', '平均每天10班船驶向欧美 从深圳盐田港看中国外贸“加速度”', '海关统计，今年上半年，我国货物贸易进出口总值21.79万亿元，同比增长2.9%。广东深圳（）是世界最大的单体集装箱码头之一，每天都有超过4万个标准集装箱从这里发往全球，是名副其实的“世界级航运枢纽”。深圳海关数据显示，今年上半年，盐田港集装箱吞吐量超758万标箱，同比增长12.7%，实现2位数增长。不仅如此，盐田港今年还新增了11条航线，目前每周近百条航线连通全球，平均每天就有4班船驶向欧洲、6班船前往美国。可以说，深圳用稳定高效的港口体系，为外贸企业跑出“加速度”提供了坚实支撑。(央视)', '海关统计，今年上半年，我国货物贸易进出口总值21.79万亿元，同比增长2.9%。广东深圳盐田港是世界最大的单体集装箱码头之一，每天都有超过4万个标准集装箱从这里发往全球，是名副其实的“世界级航运枢纽”。深圳海关数据显示，今年上半年，盐田港集装箱吞吐量超758万标箱，同比增长12.7%，实现2位数增长。不仅如此，盐田港今年还新增了11条航线，目前每周近百条航线连通全球，平均每天就有4班船驶向欧洲、6班船前往美国。可以说，深圳用稳定高效的港口体系，为外贸企业跑出“加速度”提供了坚实支撑。（央视）', 'https://news.10jqka.com.cn/20250714/c669607289.shtml', '港股,A股', '2025-07-14 12:56:18', ''), ('3250035', '港股午评：恒生指数涨0.11%，恒生科技指数涨0.2%', '港股午间收盘，恒生指数涨0.11%，恒生科技指数涨0.2%。比特币屡创新高，港股加密货币概念股冲高，欧科云链涨超30%，雄岸科技涨超20%，新火科技控股涨超9%。', '港股午间收盘，恒生指数涨0.11%，恒生科技指数涨0.2%。比特币屡创新高，港股加密货币概念股冲高，欧科云链涨超30%，雄岸科技涨超20%，新火科技控股涨超9%。', 'https://news.10jqka.com.cn/20250714/c669606787.shtml', '港股,A股', '2025-07-14 12:01:55', '')]
async def create_pool():
    """创建AsyncMy连接池"""
    return await asyncmy.create_pool(
        host=MYSQL_HOST,
        user=MYSQL_USER,
        password=MYSQL_PASSWORD,
        db=MYSQL_DB,
        minsize=1,
        maxsize=5,
        autocommit=False,
        connect_timeout=10,
        read_timeout=30,
        charset='utf8mb4'
    )


async def batch_insert(pool, chunk_size=100):
    """批量插入数据"""
    sql = """
    INSERT INTO `articles` 
    (`article_id`, `title`, `digest`, `short`, `url`, `tag`, `ctime`, `source`) 
    VALUES (%s, %s, %s, %s, %s, %s, %s, %s)
    """

    total_items = len(value_tuples)
    success_count = 0
    start_time = datetime.now()

    try:
        async with pool.acquire() as conn:
            async with conn.cursor() as cursor:
                try:
                    affected_rows = await cursor.executemany(sql, value_tuples)
                    print(affected_rows)
                    await conn.commit()
                    success_count += len(value_tuples)
                    logger.info(f"成功插入 {len(value_tuples)} 条记录，当前总计: {success_count}/{total_items}")
                except asyncmy.errors.Error as e:
                    await conn.rollback()
                    logger.error(f"批次插入失败: {e}, 失败记录: {len(value_tuples)} 条")
                    raise

    except Exception as e:
        logger.error(f"批量插入过程中发生错误: {e}")
        raise
    finally:
        elapsed = (datetime.now() - start_time).total_seconds()
        logger.info(f"批量插入完成. 成功: {success_count}, 失败: {total_items - success_count}, 耗时: {elapsed:.2f}秒")


async def main():
    try:
        # 创建连接池
        pool = await create_pool()
        logger.info("数据库连接池创建成功")

        # 执行批量插入
        await batch_insert(pool, chunk_size=50)

    except Exception as e:
        logger.error(f"主程序错误: {e}")
    finally:
        # 关闭连接池
        if 'pool' in locals():
            pool.close()
            await pool.wait_closed()
            logger.info("数据库连接池已关闭")


if __name__ == '__main__':
    asyncio.run(main())